/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 * $Id: MediaTypeCimi.java 1168 2012-04-26 17:21:54Z antonma $
 *
 */
package org.ow2.sirocco.apis.rest.cimi.utils;

import javax.ws.rs.core.MediaType;

public class MediaTypeCimi extends MediaType {

    // --------cloud entry point

    /** "application/CIMI-CloudEntryPoint+json" */
    public final static String APPLICATION_CIMI_CLOUDENTRYPOINT_JSON = "application/CIMI-CloudEntryPoint+json";

    /** "application/CIMI-CloudEntryPoint+json" */
    public final static MediaType APPLICATION_CIMI_CLOUDENTRYPOINT_JSON_TYPE = new MediaType("application",
        "CIMI-CloudEntryPoint+json");

    /** "application/CIMI-CloudEntryPoint+xml" */
    public final static String APPLICATION_CIMI_CLOUDENTRYPOINT_XML = "application/CIMI-CloudEntryPoint+xml";

    /** "application/CIMI-CloudEntryPoint+xml" */
    public final static MediaType APPLICATION_CIMI_CLOUDENTRYPOINT_XML_TYPE = new MediaType("application",
        "CIMI-CloudEntryPoint+xml");

    // --------machine image collection

    /** "application/CIMI-MachineImageCollection+json" */
    public final static String APPLICATION_CIMI_MACHINEIMAGECOLLECTION_JSON = "application/CIMI-MachineImageCollection+json";

    /** "application/CIMI-MachineImageCollection+json" */
    public final static MediaType APPLICATION_CIMI_MACHINEIMAGECOLLECTION_JSON_TYPE = new MediaType("application",
        "CIMI-MachineImageCollection+json");

    /** "application/CIMI-MachineImageCollection+xml" */
    public final static String APPLICATION_CIMI_MACHINEIMAGECOLLECTION_XML = "application/CIMI-MachineImageCollection+xml";

    /** "application/CIMI-MachineImageCollection+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINEIMAGECOLLECTION_XML_TYPE = new MediaType("application",
        "CIMI-MachineImageCollection+xml");

    // --------machine image

    /** "application/CIMI-MachineImage+json" */
    public final static String APPLICATION_CIMI_MACHINEIMAGE_JSON = "application/CIMI-MachineImage+json";

    /** "application/CIMI-MachineImage+json" */
    public final static MediaType APPLICATION_CIMI_MACHINEIMAGE_JSON_TYPE = new MediaType("application",
        "CIMI-MachineImage+json");

    /** "application/CIMI-MachineImage+xml" */
    public final static String APPLICATION_CIMI_MACHINEIMAGE_XML = "application/CIMI-MachineImage+xml";

    /** "application/CIMI-MachineImage+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINEIMAGE_XML_TYPE = new MediaType("application", "CIMI-MachineImage+xml");

    // --------machine image create

    /** "application/CIMI-MachineImageCreate+json" */
    public final static String APPLICATION_CIMI_MACHINEIMAGECREATE_JSON = "application/CIMI-MachineImageCreate+json";

    /** "application/CIMI-MachineImageCreate+json" */
    public final static MediaType APPLICATION_CIMI_MACHINEIMAGECREATE_JSON_TYPE = new MediaType("application",
        "CIMI-MachineImageCreate+json");

    /** "application/CIMI-MachineImageCreate+xml" */
    public final static String APPLICATION_CIMI_MACHINEIMAGECREATE_XML = "application/CIMI-MachineImageCreate+xml";

    /** "application/CIMI-MachineImageCreate+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINEIMAGECREATE_XML_TYPE = new MediaType("application",
        "CIMI-MachineImageCreate+xml");

    // --------machine collection

    /** "application/CIMI-MachineCollection+json" */
    public final static String APPLICATION_CIMI_MACHINECOLLECTION_JSON = "application/CIMI-MachineCollection+json";

    /** "application/CIMI-MachineCollection+json" */
    public final static MediaType APPLICATION_CIMI_MACHINECOLLECTION_JSON_TYPE = new MediaType("application",
        "CIMI-MachineCollection+json");

    /** "application/CIMI-MachineCollection+xml" */
    public final static String APPLICATION_CIMI_MACHINECOLLECTION_XML = "application/CIMI-MachineCollection+xml";

    /** "application/CIMI-MachineCollection+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINECOLLECTION_XML_TYPE = new MediaType("application",
        "CIMI-MachineCollection+xml");

    // --------machine

    /** "application/CIMI-Machine+json" */
    public final static String APPLICATION_CIMI_MACHINE_JSON = "application/CIMI-Machine+json";

    /** "application/CIMI-Machine+json" */
    public final static MediaType APPLICATION_CIMI_MACHINE_JSON_TYPE = new MediaType("application", "CIMI-Machine+json");

    /** "application/CIMI-Machine+xml" */
    public final static String APPLICATION_CIMI_MACHINE_XML = "application/CIMI-Machine+xml";

    /** "application/CIMI-Machine+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINE_XML_TYPE = new MediaType("application", "CIMI-Machine+xml");

    // --------machine template collection

    /** "application/CIMI-MachineTemplateCollection+json" */
    public final static String APPLICATION_CIMI_MACHINETEMPLATECOLLECTION_JSON = "application/CIMI-MachineTemplateCollection+json";

    /** "application/CIMI-MachineTemplateCollection+json" */
    public final static MediaType APPLICATION_CIMI_MACHINETEMPLATECOLLECTION_JSON_TYPE = new MediaType("application",
        "CIMI-MachineTemplateCollection+json");

    /** "application/CIMI-MachineTemplateCollection+xml" */
    public final static String APPLICATION_CIMI_MACHINETEMPLATECOLLECTION_XML = "application/CIMI-MachineTemplateCollection+xml";

    /** "application/CIMI-MachineTemplateCollection+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINETEMPLATECOLLECTION_XML_TYPE = new MediaType("application",
        "CIMI-MachineTemplateCollection+xml");

    // --------machine template

    /** "application/CIMI-MachineTemplate+json" */
    public final static String APPLICATION_CIMI_MACHINETEMPLATE_JSON = "application/CIMI-MachineTemplate+json";

    /** "application/CIMI-MachineTemplate+json" */
    public final static MediaType APPLICATION_CIMI_MACHINETEMPLATE_JSON_TYPE = new MediaType("application",
        "CIMI-MachineTemplate+json");

    /** "application/CIMI-MachineTemplate+xml" */
    public final static String APPLICATION_CIMI_MACHINETEMPLATE_XML = "application/CIMI-MachineTemplate+xml";

    /** "application/CIMI-MachineTemplate+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINETEMPLATE_XML_TYPE = new MediaType("application",
        "CIMI-MachineTemplate+xml");

    // --------machine template create

    /** "application/CIMI-MachineTemplateCreate+json" */
    public final static String APPLICATION_CIMI_MACHINETEMPLATECREATE_JSON = "application/CIMI-MachineTemplateCreate+json";

    /** "application/CIMI-MachineTemplateCreate+json" */
    public final static MediaType APPLICATION_CIMI_MACHINETEMPLATECREATE_JSON_TYPE = new MediaType("application",
        "CIMI-MachineTemplateCreate+json");

    /** "application/CIMI-MachineTemplateCreate+xml" */
    public final static String APPLICATION_CIMI_MACHINETEMPLATECREATE_XML = "application/CIMI-MachineTemplateCreate+xml";

    /** "application/CIMI-MachineTemplateCreate+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINETEMPLATECREATE_XML_TYPE = new MediaType("application",
        "CIMI-MachineTemplateCreate+xml");

    // --------machine create

    /** "application/CIMI-MachineCreate+json" */
    public final static String APPLICATION_CIMI_MACHINECREATE_JSON = "application/CIMI-MachineCreate+json";

    /** "application/CIMI-MachineCreate+json" */
    public final static MediaType APPLICATION_CIMI_MACHINECREATE_JSON_TYPE = new MediaType("application",
        "CIMI-MachineCreate+json");

    /** "application/CIMI-MachineCreate+xml" */
    public final static String APPLICATION_CIMI_MACHINECREATE_XML = "application/CIMI-MachineCreate+xml";

    /** "application/CIMI-MachineCreate+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINECREATE_XML_TYPE = new MediaType("application",
        "CIMI-MachineCreate+xml");

    // --------machine configuration collection

    /** "application/CIMI-MachineConfigurationCollection+json" */
    public final static String APPLICATION_CIMI_MACHINECONFIGURATIONCOLLECTION_JSON = "application/CIMI-MachineConfigurationCollection+json";

    /** "application/CIMI-MachineConfigurationCollection+json" */
    public final static MediaType APPLICATION_CIMI_MACHINECONFIGURATIONCOLLECTION_JSON_TYPE = new MediaType("application",
        "CIMI-MachineConfigurationCollection+json");

    /** "application/CIMI-MachineConfigurationCollection+xml" */
    public final static String APPLICATION_CIMI_MACHINECONFIGURATIONCOLLECTION_XML = "application/CIMI-MachineConfigurationCollection+xml";

    /** "application/CIMI-MachineConfigurationCollection+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINECONFIGURATIONCOLLECTION_XML_TYPE = new MediaType("application",
        "CIMI-MachineConfigurationCollection+xml");

    // --------machine configuration

    /** "application/CIMI-MachineConfiguration+json" */
    public final static String APPLICATION_CIMI_MACHINECONFIGURATION_JSON = "application/CIMI-MachineConfiguration+json";

    /** "application/CIMI-MachineConfiguration+json" */
    public final static MediaType APPLICATION_CIMI_MACHINECONFIGURATION_JSON_TYPE = new MediaType("application",
        "CIMI-MachineConfiguration+json");

    /** "application/CIMI-MachineConfiguration+xml" */
    public final static String APPLICATION_CIMI_MACHINECONFIGURATION_XML = "application/CIMI-MachineConfiguration+xml";

    /** "application/CIMI-MachineConfiguration+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINECONFIGURATION_XML_TYPE = new MediaType("application",
        "CIMI-MachineConfiguration+xml");

    // --------machine configuration create

    /** "application/CIMI-MachineConfigurationCreate+json" */
    public final static String APPLICATION_CIMI_MACHINECONFIGURATIONCREATE_JSON = "application/CIMI-MachineConfigurationCreate+json";

    /** "application/CIMI-MachineConfigurationCreate+json" */
    public final static MediaType APPLICATION_CIMI_MACHINECONFIGURATIONCREATE_JSON_TYPE = new MediaType("application",
        "CIMI-MachineConfigurationCreate+json");

    /** "application/CIMI-MachineConfigurationCreate+xml" */
    public final static String APPLICATION_CIMI_MACHINECONFIGURATIONCREATE_XML = "application/CIMI-MachineConfigurationCreate+xml";

    /** "application/CIMI-MachineConfigurationCreate+xml" */
    public final static MediaType APPLICATION_CIMI_MACHINECONFIGURATIONCREATE_XML_TYPE = new MediaType("application",
        "CIMI-MachineConfigurationCreate+xml");

    // --------credentials collection

    /** "application/CIMI-CredentialsCollection+json" */
    public final static String APPLICATION_CIMI_CREDENTIALSCOLLECTION_JSON = "application/CIMI-CredentialsCollection+json";

    /** "application/CIMI-CredentialsCollection+json" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSCOLLECTION_JSON_TYPE = new MediaType("application",
        "CIMI-CredentialsCollection+json");

    /** "application/CIMI-CredentialsCollection+xml" */
    public final static String APPLICATION_CIMI_CREDENTIALSCOLLECTION_XML = "application/CIMI-CredentialsCollection+xml";

    /** "application/CIMI-CredentialsCollection+xml" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSCOLLECTION_XML_TYPE = new MediaType("application",
        "CIMI-CredentialsCollection+xml");

    // --------credentials

    /** "application/CIMI-Credentials+json" */
    public final static String APPLICATION_CIMI_CREDENTIALS_JSON = "application/CIMI-Credentials+json";

    /** "application/CIMI-Credentials+json" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALS_JSON_TYPE = new MediaType("application", "CIMI-Credentials+json");

    /** "application/CIMI-Credentials+xml" */
    public final static String APPLICATION_CIMI_CREDENTIALS_XML = "application/CIMI-Credentials+xml";

    /** "application/CIMI-Credentials+xml" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALS_XML_TYPE = new MediaType("application", "CIMI-Credentials+xml");

    // --------credentials template collection

    /** "application/CIMI-CredentialsTemplateCollection+json" */
    public final static String APPLICATION_CIMI_CREDENTIALSTEMPLATECOLLECTION_JSON = "application/CIMI-CredentialsTemplateCollection+json";

    /** "application/CIMI-CredentialsTemplateCollection+json" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSEMPLATECOLLECTION_JSON_TYPE = new MediaType("application",
        "CIMI-CredentialsTemplateCollection+json");

    /** "application/CIMI-CredentialsTemplateCollection+xml" */
    public final static String APPLICATION_CIMI_CREDENTIALSEMPLATECOLLECTION_XML = "application/CIMI-CredentialsTemplateCollection+xml";

    /** "application/CIMI-CredentialsTemplateCollection+xml" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSEMPLATECOLLECTION_XML_TYPE = new MediaType("application",
        "CIMI-CredentialsTemplateCollection+xml");

    // --------credentials template

    /** "application/CIMI-CredentialsTemplate+json" */
    public final static String APPLICATION_CIMI_CREDENTIALSTEMPLATE_JSON = "application/CIMI-CredentialsTemplate+json";

    /** "application/CIMI-CredentialsTemplate+json" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSTEMPLATE_JSON_TYPE = new MediaType("application",
        "CIMI-CredentialsTemplate+json");

    /** "application/CIMI-CredentialsTemplate+xml" */
    public final static String APPLICATION_CIMI_CREDENTIALSTEMPLATE_XML = "application/CIMI-CredentialsTemplate+xml";

    /** "application/CIMI-CredentialsTemplate+xml" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSTEMPLATE_XML_TYPE = new MediaType("application",
        "CIMI-CredentialsTemplate+xml");

    // --------credentials template create

    /** "application/CIMI-CredentialsTemplateCreate+json" */
    public final static String APPLICATION_CIMI_CREDENTIALSTEMPLATECREATE_JSON = "application/CIMI-CredentialsTemplateCreate+json";

    /** "application/CIMI-CredentialsTemplateCreate+json" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSTEMPLATECREATE_JSON_TYPE = new MediaType("application",
        "CIMI-CredentialsTemplateCreate+json");

    /** "application/CIMI-CredentialsTemplateCreate+xml" */
    public final static String APPLICATION_CIMI_CREDENTIALSTEMPLATECREATE_XML = "application/CIMI-CredentialsTemplateCreate+xml";

    /** "application/CIMI-CredentialsTemplateCreate+xml" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSTEMPLATECREATE_XML_TYPE = new MediaType("application",
        "CIMI-CredentialsTemplateCreate+xml");

    // --------credentials create

    /** "application/CIMI-CredentialsCreate+json" */
    public final static String APPLICATION_CIMI_CREDENTIALSCREATE_JSON = "application/CIMI-CredentialsCreate+json";

    /** "application/CIMI-CredentialsCreate+json" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSCREATE_JSON_TYPE = new MediaType("application",
        "CIMI-CredentialsCreate+json");

    /** "application/CIMI-CredentialsCreate+xml" */
    public final static String APPLICATION_CIMI_CREDENTIALSCREATE_XML = "application/CIMI-CredentialsCreate+xml";

    /** "application/CIMI-CredentialsCreate+xml" */
    public final static MediaType APPLICATION_CIMI_CREDENTIALSCREATE_XML_TYPE = new MediaType("application",
        "CIMI-CredentialsCreate+xml");

    // --------action

    /** "application/CIMI-Action+json" */
    public final static String APPLICATION_CIMI_ACTION_JSON = "application/CIMI-Action+json";

    /** "application/CIMI-Action+json" */
    public final static MediaType APPLICATION_CIMI_ACTION_JSON_TYPE = new MediaType("application", "CIMI-Action+json");

    /** "application/CIMI-Action+xml" */
    public final static String APPLICATION_CIMI_ACTION_XML = "application/CIMI-Action+xml";

    /** "application/CIMI-Action+xml" */
    public final static MediaType APPLICATION_CIMI_ACTION_XML_TYPE = new MediaType("application", "CIMI-Action+xml");

    // --------Job

    /** "application/CIMI-Job+json" */
    public final static String APPLICATION_CIMI_JOB_JSON = "application/CIMI-Job+json";

    /** "application/CIMI-Job+json" */
    public final static MediaType APPLICATION_CIMI_JOB_JSON_TYPE = new MediaType("application", "CIMI-Job+json");

    /** "application/CIMI-Job+xml" */
    public final static String APPLICATION_CIMI_JOB_XML = "application/CIMI-Job+xml";

    /** "application/CIMI-Job+xml" */
    public final static MediaType APPLICATION_CIMI_JOB_XML_TYPE = new MediaType("application", "CIMI-Job+xml");

}
